[lfs-support] glibc-2.16.0 configure error - relro

Ken Moffat zarniwhoop at ntlworld.com
Sat Sep 22 08:09:03 PDT 2012


On Sat, Sep 22, 2012 at 03:41:52PM +0200, Thomas Jensen wrote:
> Den 21-09-2012 17:22, Bruce Dubbs skrev:
>  > Thomas Jensen wrote:
>  >> In chapter 5.7 I get an error running configure. The script stop with
>  >> following message:
>  >>
>  >> checking for -z relro option... no
>  >> configure: error: linker with -z relro support required
>  >>
>  >
> 
> Hi again
> 
> I tried one more time this morning, but the result is the same. First 
> time I used 'make -j 2', but today I didn't, but no change.
> 
>  > What are your $PATH and $LFS_TGT settings?
> 
 [ snipped, on a *quick* glance I didn't see anything wrong ]

 Google found a suggestion that this can be caused if awk is
pointing to mawk - I'm surprised if that is true for *this* error,
but you never know, so check it anyway - if it is pointing to mawk,
go back and recheck the host system requirements in the Preface.

 More significantly, somebody pointed out that you really have to
look at the output of the configure script, to see *why* it reported
that there is no -z relro support.

 Look through config.log in 'view' or 'less'.  Find the error
message 'linker with -z relro support required', then look at the
lines before that (perhaps a couple of screens) to see what error
message was produced, probably by gcc or ld.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the lfs-support mailing list